commit:     d3f24e117981dfca2b86c97525b8c82566bcc022
Author:     John Helmert III <ajak <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 12 02:45:15 2021 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Mon Jul 12 02:48:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3f24e11

sys-apps/tcp-wrappers: add 7.6.31

Bumps to Debian patchset 31, fixes musl compilation.

Closes: https://bugs.gentoo.org/587498
Acked-by: Sam James <sam <AT> gentoo.org>
Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 sys-apps/tcp-wrappers/Manifest                   |   1 +
 sys-apps/tcp-wrappers/tcp-wrappers-7.6.31.ebuild | 108 +++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/sys-apps/tcp-wrappers/Manifest b/sys-apps/tcp-wrappers/Manifest
index 619d7082e0a..e1ffaf9b6f0 100644
--- a/sys-apps/tcp-wrappers/Manifest
+++ b/sys-apps/tcp-wrappers/Manifest
@@ -1,2 +1,3 @@
 DIST tcp-wrappers_7.6.q-28.debian.tar.xz 36104 BLAKE2B 
209fd9730785db8afc8ebec581f7132cfb4352f8807d2cea4715daf5c11aa08a92cf084ab1ff31222f5b265f032286ce2dcf49a238e9dc5616161c400fce4f08
 SHA512 
2c63201937737c19b4e5ca97dbc0ede9fc2d3b8fc344f8854a7d2afc0109ccb9ee52af94ba8a8498da910336a4f473825daa7a0cca26a0d93e1078e67abe16b0
+DIST tcp-wrappers_7.6.q-31.debian.tar.xz 36256 BLAKE2B 
3ffd8b014c120f54b9231f375d3ec77a1894db8c48e56a57b52c5d796be42b78a1ddc35a45c816a05a1cbc603b88e3fe6131b4a562fb9d2169685031ecbf44d5
 SHA512 
de2bd7b081fca0f182def93795014332baf7b5edf339eaf81dff82772aea1dc866ccddccd5273e7dc49cf760953e164a66f1e5945cb54f2b8dab090c11712c33
 DIST tcp_wrappers_7.6.tar.gz 99438 BLAKE2B 
961d9858866990f0f5e8c6bb782f5f39a03b267a8957dcd89734aeefcc85ca32554e032c73314e0a88110f3bb8a0dbdd81f093392307623a996b0232773e1e67
 SHA512 
2d9d003791f8d00912a36ae00579e2b8dd7ad8a7bf8eae259659bcaf5365b150540ff6c93c91765872c76041579b7a02b6e3c64528fb7f8235680399ba1d9dac

diff --git a/sys-apps/tcp-wrappers/tcp-wrappers-7.6.31.ebuild 
b/sys-apps/tcp-wrappers/tcp-wrappers-7.6.31.ebuild
new file mode 100644
index 00000000000..7ab6995f3d7
--- /dev/null
+++ b/sys-apps/tcp-wrappers/tcp-wrappers-7.6.31.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs multilib-minimal usr-ldscript
+
+MY_PV=$(ver_cut 1-2)
+DEB_PV=$(ver_cut 3)
+MY_P="${PN//-/_}_${MY_PV}"
+DESCRIPTION="TCP Wrappers"
+HOMEPAGE="http://ftp.porcupine.org/pub/security";
+SRC_URI="http://ftp.porcupine.org/pub/security/${MY_P}.tar.gz
+       
mirror://debian/pool/main/t/${PN}/${PN}_${MY_PV}.q-${DEB_PV}.debian.tar.xz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="tcp_wrappers_license"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="ipv6 netgroups static-libs"
+
+RDEPEND="netgroups? ( net-libs/libnsl:= )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-7.6-redhat-bug11881.patch"
+       "${FILESDIR}/${PN}-7.6.28-no-external-malloc.patch"
+)
+
+src_prepare() {
+       # Apply Debian patchset except for the series file which just lists
+       # the patches
+       eapply $(sed -e 's:^:../debian/patches/:' ../debian/patches/series || 
die)
+
+       default
+
+       multilib_copy_sources
+}
+
+temake() {
+       append-cppflags "-DHAVE_WEAKSYMS -DHAVE_STRERROR -DSYS_ERRLIST_DEFINED"
+
+       if use ipv6; then
+               append-cppflags "-DINET6=1 -Dss_family=__ss_family 
-Dss_len=__ss_len"
+       fi
+
+       local myemakeargs=(
+               REAL_DAEMON_DIR="${EPREFIX}/usr/sbin"
+               TLI= VSYSLOG= PARANOID= BUGS=
+               AUTH="-DALWAYS_RFC931"
+               AUX_OBJ="weak_symbols.o"
+               DOT="-DAPPEND_DOT"
+               HOSTNAME="-DALWAYS_HOSTNAME"
+               NETGROUP=$(usex netgroups -DNETGROUPS "")
+               STYLE="-DPROCESS_OPTIONS"
+               LIBS=$(usex netgroups -lnsl "")
+               LIB=$(usex static-libs libwrap.a "")
+               AR="$(tc-getAR)" ARFLAGS=rc
+               CC="$(tc-getCC)"
+               RANLIB="$(tc-getRANLIB)"
+               COPTS="${CFLAGS} ${CPPFLAGS}"
+               LDFLAGS="${LDFLAGS}"
+               "$@"
+       )
+
+       emake "${myemakeargs[@]}"
+}
+
+multilib_src_configure() {
+       tc-export AR RANLIB
+       temake config-check
+}
+
+multilib_src_compile() {
+       # https://bugs.gentoo.org/728348
+       unset STRINGS
+       temake all
+}
+
+multilib_src_install() {
+       into /usr
+       use static-libs && dolib.a libwrap.a
+       dolib.so shared/libwrap.so*
+
+       insinto /usr/include
+       doins tcpd.h
+
+       if multilib_is_native_abi; then
+               gen_usr_ldscript -a wrap
+               dosbin tcpd tcpdchk tcpdmatch safe_finger try-from
+       fi
+}
+
+multilib_src_install_all() {
+       doman *.[358]
+       dosym hosts_access.5 /usr/share/man/man5/hosts.allow.5
+       dosym hosts_access.5 /usr/share/man/man5/hosts.deny.5
+
+       insinto /etc
+       newins "${FILESDIR}"/hosts.allow.example hosts.allow
+
+       dodoc BLURB CHANGES DISCLAIMER README*
+}
+
+pkg_preinst() {
+       # don't clobber people with our default example config
+       [[ -e ${EROOT}/etc/hosts.allow ]] && cp -pP "${EROOT}"/etc/hosts.allow 
"${ED}"/etc/hosts.allow
+}

Reply via email to